| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
UsbSettings Class Reference

The USB settings encapsulation for USB communication. More...

`#include <UsbSettings.h>`

Inheritance diagram for UsbSettings:

## Public Member Functions
| UsbSettings ()
| Base constructor.
| UsbSettings (unsigned int vendorId, unsigned int productId, unsigned int readChannel, unsigned int writeChannel)
| Copy constructor.
| UsbSettings (unsigned int vendorId, unsigned int productId, unsigned int readChannel, unsigned int writeChannel, int pDataTimeout)
| Copy constructor.
| ~UsbSettings ()
| Destructor.
unsigned int | GetVendorId ()
| Gets the device's vendor identifier.
unsigned int | GetProductId ()
| Gets the device's product identifier.
unsigned int | GetReadChannel ()
| Get the device's input channel.
unsigned int | GetWriteChannel ()
| Gets the device output channel.
void | SetVendorId (unsigned int vendorId)
| Sets the device's vendor identifier.
void | SetProductId (unsigned int productId)
| Sets the device's product identifier.
void | SetReadChannel (unsigned int inputChannel)
| Sets the device's input channel.
void | SetWriteChannel (unsigned int outputChannel)
| Sets the device's output channel.

## Detailed Description

The USB settings encapsulation for USB communication.

## Constructor & Destructor Documentation

## ◆ UsbSettings() [1/3]

UsbSettings::UsbSettings | ( |  | ) |

Base constructor.

## ◆ UsbSettings() [2/3]

UsbSettings::UsbSettings | ( | unsigned int | vendorId,
|  | unsigned int | productId,
|  | unsigned int | readChannel,
|  | unsigned int | writeChannel )

Copy constructor.

Parameters

  vendorId | The hardware vendor identifier
  productId | The hardware product identifier
  writeChannel | The device's channel identifier on which command must be sent
  readChannel | The device's channel identifier on which ackowledgments and raw data will be sent

## ◆ UsbSettings() [3/3]

UsbSettings::UsbSettings | ( | unsigned int | vendorId,
|  | unsigned int | productId,
|  | unsigned int | readChannel,
|  | unsigned int | writeChannel,
|  | int | pDataTimeout )

Copy constructor.

Parameters

  vendorId | The hardware vendor identifier
  productId | The hardware product identifier
  writeChannel | The device's channel identifier on which command must be sent
  readChannel | The device's channel identifier on which ackowledgments and raw data will be sent

<param name="pDataTimeout"<>UDP Port number>The max time elapsed between two data sent

## ◆ ~UsbSettings()

UsbSettings::~UsbSettings | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ GetProductId()

unsigned int UsbSettings::GetProductId | ( |  | ) |

Gets the device's product identifier.

Returns
  The device's product identifier

## ◆ GetReadChannel()

unsigned int UsbSettings::GetReadChannel | ( |  | ) |

Get the device's input channel.

Returns
  The device's input channel

## ◆ GetVendorId()

unsigned int UsbSettings::GetVendorId | ( |  | ) |

Gets the device's vendor identifier.

Returns
  The device's vendor identifier

## ◆ GetWriteChannel()

unsigned int UsbSettings::GetWriteChannel | ( |  | ) |

Gets the device output channel.

Returns
  The device's ouput channel

## ◆ SetProductId()

void UsbSettings::SetProductId | ( | unsigned int | productId | ) |

Sets the device's product identifier.

Parameters

  vendorId | The device's prodict identifier

## ◆ SetReadChannel()

void UsbSettings::SetReadChannel | ( | unsigned int | inputChannel | ) |

Sets the device's input channel.

Parameters

  vendorId | The device's input channel

## ◆ SetVendorId()

void UsbSettings::SetVendorId | ( | unsigned int | vendorId | ) |

Sets the device's vendor identifier.

Parameters

  vendorId | The device's vendor identifier

## ◆ SetWriteChannel()

void UsbSettings::SetWriteChannel | ( | unsigned int | outputChannel | ) |

Sets the device's output channel.

Parameters

  vendorId | The device's output channel

The documentation for this class was generated from the following files:

- UsbSettings.h
- UsbSettings.cpp